package com.ruoyi.controller.req;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class RegisterUserReq {


    /**
     * 用户类型 1设计师 2表现师 3销售(推广员)
     */
    @NotNull(message = "用户类型不能为空")
    private Integer userType;


    /**
     * 账号
     */
    @NotBlank(message = "账号不能为空")
    private String account;


    /**
     * 验证码
     */
    private String code;


    /**
     * 密码
     */
    @NotBlank(message = "密码不能为空")
    private String pwd;


    /**
     * 手机id
     */
    private String clientId;


    /**
     * 区号
     */
    private String areaCode = "+86";


    /**
     * 手机号
     */
    private String mobile;

    /**
     * 邀请码
     */
    private String invitationCode;

    /**
     * 邀请码来源 1 设计师  2表现师 3 销售
     */
    private Integer inviteSource;

    public RegisterUserReq(){
    }

    public RegisterUserReq(LoginReqVo req){
        this.userType = req.getUserType();
        this.areaCode = req.getAreaCode();
        this.mobile = req.getMobile();
        this.clientId = req.getClientId();
        this.account = req.getAccount();
    }

}
